Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.trace
Class GenerateEvent

    java.lang.Object
      |
      +--org.apache.xalan.trace.GenerateEvent

public class GenerateEvent
extends java.lang.Object
implements java.util.EventListener

**For advanced use only** Event generated by the XSL processor after it generates a new node in the result tree. This event responds to and is modeled on the SAX events that are sent to the formatter listener FormatterToXXX)classes.

See Also:
  `DOMBuilder`, `org.apache.xalan.utils.FormatterToHTML`, `org.apache.xalan.utils.FormatterToText`, `org.apache.xalan.utils.FormatterToXML`

Field Summary
`static int` | `EVENTTYPE_CDATA` **For advanced use only** Event type generated after CDATA is generated.
`static int` | `EVENTTYPE_CHARACTERS` **For advanced use only** Event type generated for character data (CDATA and Ignorable Whitespace have their own events).
`static int` | `EVENTTYPE_COMMENT` **For advanced use only** Event type generated after a comment has been added.
`static int` | `EVENTTYPE_ENDDOCUMENT` **For advanced use only** Event type generated when a document ends.
`static int` | `EVENTTYPE_ENDELEMENT` **For advanced use only** Event type generated when an element ends, after it's children have been added.
`static int` | `EVENTTYPE_ENTITYREF` **For advanced use only** Event type generate after an entity ref is created.
`static int` | `EVENTTYPE_IGNORABLEWHITESPACE` **For advanced use only** Event type generated for ignorable whitespace (I'm not sure how much this is actually called.
`static int` | `EVENTTYPE_PI` **For advanced use only** Event type generated for processing instructions.
`static int` | `EVENTTYPE_STARTDOCUMENT` **For advanced use only** Event type generated when a document begins.
`static int` | `EVENTTYPE_STARTELEMENT` **For advanced use only** Event type generated when an element begins (after the attributes have been processed but before the children have been added).
`Attributes` | `m_atts` **For advanced use only** The current attribute list.
`char[]` | `m_characters` **For advanced use only** Character data from a character or cdata event.
`java.lang.String` | `m_data` **For advanced use only** The string data in the element (comments and PIs).
`int` | `m_eventtype` **For advanced use only** The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.
`int` | `m_length` **For advanced use only** The length of the current data in m_characters.
`java.lang.String` | `m_name` **For advanced use only** The name of the element or PI.
`TransformerImpl` | `m_processor` **For advanced use only** The XSLT Processor, which either directly or indirectly contains most needed information.
`int` | `m_start` **For advanced use only** The start position of the current data in m_characters.

Constructor Summary
`GenerateEvent(TransformerImpl processor, int eventType)` **For advanced use only** Constructor for startDocument, endDocument events.
`GenerateEvent(TransformerImpl processor, int eventType, char[] ch, int start, int length)` **For advanced use only** Constructor for characters, cdate events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String data)` **For advanced use only** Constructor for comment and entity ref events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String name, Attributes atts)` **For advanced use only** Constructor for startElement, endElement events.
`GenerateEvent(TransformerImpl processor, int eventType, java.lang.String name, java.lang.String data)` **For advanced use only** Constructor for processingInstruction events.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_processor

    public TransformerImpl m_processor

  **For advanced use only** The XSLT Processor, which either directly or indirectly contains most needed information. Accessing the m_stylesheetRoot member variable will get you to the stylesheet information.
  See Also:

### m_eventtype

    public int m_eventtype

  **For advanced use only** The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.

### EVENTTYPE_STARTDOCUMENT

    public static final int EVENTTYPE_STARTDOCUMENT

  **For advanced use only** Event type generated when a document begins.

### EVENTTYPE_ENDDOCUMENT

    public static final int EVENTTYPE_ENDDOCUMENT

  **For advanced use only** Event type generated when a document ends.

### EVENTTYPE_STARTELEMENT

    public static final int EVENTTYPE_STARTELEMENT

  **For advanced use only** Event type generated when an element begins (after the attributes have been processed but before the children have been added).

### EVENTTYPE_ENDELEMENT

    public static final int EVENTTYPE_ENDELEMENT

  **For advanced use only** Event type generated when an element ends, after it's children have been added.

### EVENTTYPE_CHARACTERS

    public static final int EVENTTYPE_CHARACTERS

  **For advanced use only** Event type generated for character data (CDATA and Ignorable Whitespace have their own events).

### EVENTTYPE_IGNORABLEWHITESPACE

    public static final int EVENTTYPE_IGNORABLEWHITESPACE

  **For advanced use only** Event type generated for ignorable whitespace (I'm not sure how much this is actually called.

### EVENTTYPE_PI

    public static final int EVENTTYPE_PI

  **For advanced use only** Event type generated for processing instructions.

### EVENTTYPE_COMMENT

    public static final int EVENTTYPE_COMMENT

  **For advanced use only** Event type generated after a comment has been added.

### EVENTTYPE_ENTITYREF

    public static final int EVENTTYPE_ENTITYREF

  **For advanced use only** Event type generate after an entity ref is created.

### EVENTTYPE_CDATA

    public static final int EVENTTYPE_CDATA

  **For advanced use only** Event type generated after CDATA is generated.

### m_characters

    public char[] m_characters

  **For advanced use only** Character data from a character or cdata event.

### m_start

    public int m_start

  **For advanced use only** The start position of the current data in m_characters.

### m_length

    public int m_length

  **For advanced use only** The length of the current data in m_characters.

### m_name

    public java.lang.String m_name

  **For advanced use only** The name of the element or PI.

### m_data

    public java.lang.String m_data

  **For advanced use only** The string data in the element (comments and PIs).

### m_atts

    public Attributes m_atts

  **For advanced use only** The current attribute list.

Constructor Detail

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType)

  **For advanced use only** Constructor for startDocument, endDocument events.
  Parameters:
    `processor` - The XSLT Processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String name,
                         Attributes atts)

  **For advanced use only** Constructor for startElement, endElement events.
  Parameters:
    `processor` - The XSLT Processor Instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the element.
    `atts` - The SAX attribute list.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         char[] ch,
                         int start,
                         int length)

  **For advanced use only** Constructor for characters, cdate events.
  Parameters:
    `processor` - The XSLT Processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `ch` - The char array from the SAX event.
    `start` - The start offset to be used in the char array.
    `length` - The end offset to be used in the chara array.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String name,
                         java.lang.String data)

  **For advanced use only** Constructor for processingInstruction events.
  Parameters:
    `processor` - The instance of the XSLT processor.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the processing instruction.
    `data` - The processing instruction data.

### GenerateEvent

    public GenerateEvent(TransformerImpl processor,
                         int eventType,
                         java.lang.String data)

  **For advanced use only** Constructor for comment and entity ref events.
  Parameters:
    `processor` - The XSLT processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `data` - The comment or entity ref data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.